Package com.netrics.likeit

## Class NetricsRecSrcException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.netrics.likeit.NetricsRecSrcException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `NetricsFileFormatException`

      public class NetricsRecSrcException
      extends java.lang.Exception

  Exception thrown by all NetricsRecSrc and NetricsRecOpSrc implementations. A NetricsRecSrcException or an extention of NetricsRecSrcException is thrown by any implementation of NetricsRecSrc or NetricsRecOpSrc whenever an error is encountered in reading a record.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NetricsRecSrcException​(java.lang.String desc)` | Create an exception with a description.
    `NetricsRecSrcException​(java.lang.String desc, java.lang.Throwable cause)` | Create an exception with a description and a cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` | Return a human readable string form of the exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NetricsRecSrcException

          public NetricsRecSrcException​(java.lang.String desc)

      Create an exception with a description.
      Parameters:
        `desc` - the description of the exception.

    - #### NetricsRecSrcException

          public NetricsRecSrcException​(java.lang.String desc,
                                        java.lang.Throwable cause)

      Create an exception with a description and a cause.
      Parameters:
        `desc` - the description of the exception.
        `cause` - the error or exception that caused this to be thrown.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Return a human readable string form of the exception.
      Overrides:
        `toString` in class `java.lang.Throwable`
      Returns:
        This currently returns the description of the exception.